package házalaprajz;

import java.awt.geom.Point2D;
import java.util.ArrayList;
import java.util.List;

/**
 * @author Daniel "3ICE" Berezvai
 */
public class House {

  List<Room> rooms;
  String name;

  public House(Room firstRoom, String name) {
    rooms = new ArrayList<>(1);
    this.name = name;
    rooms.add(firstRoom);

  }

  public House addRoom(double ax, double ay, double bx, double by, double falVastagság, String név) {
    //Két szemközti csúcs koordinátáival (4 szám)
    rooms.add(new Room(ax, ay, bx, by, falVastagság, név));
    return this;
  }

  public House addRoom(Point2D.Double pos, double a, double b, double falVastagság, String név) {
    //Bal felső csúcs koordinátáival és oldalhosszakkal
    rooms.add(new Room(pos, a, b, falVastagság, név));
    return this;
  }

  public House addRoom(Point2D.Double a, Point2D.Double b, double falVastagság, String név) {
    //Két szemközti csúcs koordinátáival
    rooms.add(new Room(a, b, falVastagság, név));
    return this;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public double area() {
    double t = 0;
    for (Room szoba : rooms) {
      t += szoba.getArea();
    }
    return t;
  }

  public List<Room> getSzobák() {
    return new ArrayList<>(rooms);
  }
}
