package házalaprajz;

import java.awt.geom.Point2D;

/**
 * @author Daniel "3ICE" Berezvai
 */
public class Room {

  private double ax, ay, bx, by;
  private double thickness;
  private String name;

  public Room(double ax, double ay, double bx, double by, double falVastagság, String név) {
    //Két szemközti csúcs koordinátáival (4 szám)
    this.ax = ax;
    this.bx = bx;
    this.ay = ay;
    this.by = by;
    this.thickness = falVastagság;
    this.name = név;
  }

  public Room(Point2D.Double pos, double a, double b, double falVastagság, String név) {
    //Bal felső csúcs koordinátáival és oldalhosszakkal
    this.ax = pos.x;
    this.ay = pos.y;
    this.bx = ax + a;
    this.by = ay + b;
    this.thickness = falVastagság;
    this.name = név;
  }

  public Room(Point2D.Double a, Point2D.Double b, double falVastagság, String név) {
    //Két szemközti csúcs koordinátáival
    this.ax = a.x;
    this.bx = b.x;
    this.ay = a.y;
    this.by = b.y;
    this.thickness = falVastagság;
    this.name = név;
  }

  public double getA() {
    return Math.abs(ax - bx);
  }

  public double getB() {
    return Math.abs(ay - by);
  }

  public double getThickness() {
    return thickness;
  }

  double getArea() {
    return (getA() - (2 * thickness)) * (getB() - (2 * thickness));
  }

  public String getCoords() {
    return "(" + ax + "; " + ay + "), (" + bx + "; " + by + ")";
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }
}
